# Space Packet Parser

----------
![Test Status](https://github.com/medley56/space_packet_parser/actions/workflows/tests.yml/badge.svg)
![Doc Status](https://readthedocs.org/projects/space-packet-parser/badge/?version=latest)

Documentation: https://space-packet-parser.readthedocs.io/en/latest/

Space Packet Parser is a package for decoding CCSDS telemetry packets according to an XTCE or CSV packet structure definition. 
It is based on the UML model of the XTCE spec and aims to support all but the most esoteric elements of the 
XTCE telemetry packet specification.

Resources:
- [XTCE (Green Book - Informational Report)](https://public.ccsds.org/Pubs/660x2g2.pdf)
- [XTCE Element Description (Green Book - Informational Report)](https://public.ccsds.org/Pubs/660x1g2.pdf)
- [XTCE (Blue Book - Recommended Standard)](https://public.ccsds.org/Pubs/660x0b2.pdf)

## Installation
```bash
pip install space_packet_parser
```

